SwishResult::getMetaList
SwishResults::getParsedWords
Swish Functions
PHP Manual

# SwishResult::stem

(PECL swish >= 0.1.0)

SwishResult::stem — Stems the given word

### Description

array SwishResult::stem ( string `$word` )
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

Stems the word based on the fuzzy mode used during indexing. Each result object is linked with its index, so the results are based on this index.

### Parameters

`word`

  The word to stem.

### Return Values

Returns array containing the stemmed word variants (usually just one).

### Errors/Exceptions

Throws SwishException on error.

### Examples

Example #1 Basic SwishResult::stem() example

`<?php
try {
$swish = new Swish("ext/swish/tests/index.swish-e");
$results = $swish->query("testing OR others");
if ($result = $results->nextResult()) {
var_dump($result->stem("testing")); //the results fully depend on the stemmer used in the index
var_dump($result->stem("others"));
}
} catch (SwishException $e) {
echo "Error: ", $e->getMessage(), "\n";
}
?>`

The above example will output something similar to:

    array(1) {
      [0]=>
      string(4) "test"
    }
    array(1) {
      [0]=>
      string(5) "other"
    }

SwishResult::getMetaList
SwishResults::getParsedWords
Swish Functions
PHP Manual